### Enumeration

# GdkGravity

#### Declaration

    enum Gdk.Gravity

#### Description [src]

Defines the reference point of a surface and is used in `GdkPopupLayout`.

#### Members

`GDK_GRAVITY_NORTH_WEST`

  The reference point is at the top left corner.

  - Value: `1`
  - Nickname: `north-west`
  - Available since: 4.0
`GDK_GRAVITY_NORTH`

  The reference point is in the middle of the top edge.

  - Value: `2`
  - Nickname: `north`
  - Available since: 4.0
`GDK_GRAVITY_NORTH_EAST`

  The reference point is at the top right corner.

  - Value: `3`
  - Nickname: `north-east`
  - Available since: 4.0
`GDK_GRAVITY_WEST`

  The reference point is at the middle of the left edge.

  - Value: `4`
  - Nickname: `west`
  - Available since: 4.0
`GDK_GRAVITY_CENTER`

  The reference point is at the center of the surface.

  - Value: `5`
  - Nickname: `center`
  - Available since: 4.0
`GDK_GRAVITY_EAST`

  The reference point is at the middle of the right edge.

  - Value: `6`
  - Nickname: `east`
  - Available since: 4.0
`GDK_GRAVITY_SOUTH_WEST`

  The reference point is at the lower left corner.

  - Value: `7`
  - Nickname: `south-west`
  - Available since: 4.0
`GDK_GRAVITY_SOUTH`

  The reference point is at the middle of the lower edge.

  - Value: `8`
  - Nickname: `south`
  - Available since: 4.0
`GDK_GRAVITY_SOUTH_EAST`

  The reference point is at the lower right corner.

  - Value: `9`
  - Nickname: `south-east`
  - Available since: 4.0
`GDK_GRAVITY_STATIC`

  The reference point is at the top left corner of the surface itself, ignoring window manager decorations.

  - Value: `10`
  - Nickname: `static`
  - Available since: 4.0